# Crow: crow::multipart Namespace Reference

Loading...
Searching...
No Matches
crow::multipart Namespace Reference

Encapsulates anything related to processing and organizing `multipart/xyz` messages. More...

## Classes

struct | header
| The first part in a section, contains metadata about the part. More...
struct | message
| The parsed multipart request/response. More...
struct | part
| One part of the multipart message. More...

## Typedefs

using | mph_map = std::unordered_multimap< std::string, header, ci_hash, ci_key_eq >
| Multipart header map (key is header key).
using | mp_map = std::unordered_multimap< std::string, part, ci_hash, ci_key_eq >
| Multipart map (key is the name parameter).

## Functions

template<typename O , typename T >
const O & | get_header_value_object (const T &headers, const std::string &key)
| Find and return the value object associated with the key. (returns an empty class if nothing is found)
template<typename T >
const header & | get_header_object (const T &headers, const std::string &key)
| Same as get_header_value_object() but for multipart::header.

## Variables

const std::string | dd = "--"

## Detailed Description

Encapsulates anything related to processing and organizing `multipart/xyz` messages.